Subject: Ticket Assigned - I ordered one month ago, paid knet, till now didnt receive my products!!! Very horrible experience w...
From: Centrepoint <[email-masked]>
To: [email-masked]
Date: Mon, 01 Jun 2020 07:58:39 +0000

Hi Mhd Obiedo,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  I ordered one month ago, paid knet, till now didnt receive my products!!! Very horrible experience w... I ordered one month ago, paid knet, till now didnt receive my products!!! Very horrible experience will be the last ever! But for now give me the products or money back!! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/881706